diff mbox

[3/5] check_GNU_style.sh: Read either from stdin, or from files

Message ID 5551ABC9.10801@mentor.com
State New
Headers show

Commit Message

Tom de Vries May 12, 2015, 7:29 a.m. UTC
Hi,

this patch makes sure we either handle:
...
$ cat temp.patch | ./check_GNU_style.sh -
...
or
...
$ ./check_GNU_style.sh temp.patch
...
but not:
...
$ cat temp.patch | ./check_GNU_style.sh - temp2.patch
...

OK for trunk?

Thanks,
- Tom

Comments

Jeff Law May 12, 2015, 3:02 p.m. UTC | #1
On 05/12/2015 01:29 AM, Tom de Vries wrote:
> Hi,
>
> this patch makes sure we either handle:
> ...
> $ cat temp.patch | ./check_GNU_style.sh -
> ...
> or
> ...
> $ ./check_GNU_style.sh temp.patch
> ...
> but not:
> ...
> $ cat temp.patch | ./check_GNU_style.sh - temp2.patch
> ...
>
> OK for trunk?
>
> Thanks,
> - Tom
>
>
> 0003-check_GNU_style.sh-Read-either-from-stdin-or-from-fi.patch
>
>
> [PATCH 3/5] check_GNU_style.sh: Read either from stdin, or from files
>
> 2015-05-11  Tom de Vries<tom@codesourcery.com>
>
> 	* check_GNU_style.sh: Read either from stdin, or from files.
OK.
jeff
diff mbox

Patch

[PATCH 3/5] check_GNU_style.sh: Read either from stdin, or from files

2015-05-11  Tom de Vries  <tom@codesourcery.com>

	* check_GNU_style.sh: Read either from stdin, or from files.
---
 contrib/check_GNU_style.sh | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index 2c4d9e2..f00b3d5 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -39,12 +39,22 @@  test $# -eq 0 && usage
 nfiles=$#
 files="$*"
 
-for f in $files; do
-    if [ "$f" != "-" ] && [ ! -f "$f" ]; then
-	echo "error: could not read file: $f"
-	exit 1
-    fi
-done
+stdin=false
+if [ $nfiles -eq 1 ] && [ "$files" = "-" ]; then
+    stdin=true
+else
+    for f in $files; do
+	if [ "$f" = "-" ]; then
+	    # Let's keep things simple.  Either we read from stdin, or we read
+	    # from files specified on the command line, not both.
+	    usage
+	fi
+	if [ ! -f "$f" ]; then
+	    echo "error: could not read file: $f"
+	    exit 1
+	fi
+    done
+fi
 
 inp=check_GNU_style.inp
 tmp=check_GNU_style.tmp
-- 
1.9.1